Skip to content

TaskListsController_show

POST
/api/chat/task-lists
curl --request POST \
--url https://api.streams.chat/api/chat/task-lists \
--header 'Content-Type: application/json' \
--data '{ "requestId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "streamId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "threadSessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "replyToMessageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "heading": "example", "source": { "label": "example", "url": "example" }, "marker": "checkbox", "initialVisibleCount": 1, "columns": [ { "id": "example", "label": "example", "type": "status" } ], "groups": [ { "id": "example", "label": "example" } ], "items": [ { "id": "example", "title": "example", "sourceId": "example", "url": "example", "groupId": "example", "cells": { "additionalProperty": { "type": "status", "label": "example", "color": "blue" } } } ], "state": "ready", "empty": { "title": "example", "description": "example" }, "error": { "title": "example", "description": "example" }, "action": { "label": "example", "prompt": "example" }, "labels": { "taskList": "example", "itemColumn": "example", "summaryAll": "example", "groups": "example", "columns": "example", "showing": "example", "showMore": "example", "progress": "example", "toggleTask": "example", "collapseGroup": "example", "expandGroup": "example", "groupItems": "example", "openSource": "example", "item": "example", "owners": "example", "peopleMore": "example", "tagsMore": "example", "overdue": "example", "noValue": "example", "checked": "example", "unchecked": "example", "loading": "example", "emptyTitle": "example", "errorTitle": "example", "unavailable": "example", "actionFailed": "example", "actionLocked": "example", "unsupportedAction": "example" } }'
Media typeapplication/json
object
requestId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
streamId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
threadSessionId
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
replyToMessageId
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
heading
required
string
>= 1 characters <= 80 characters
source
object
label
required
string
>= 1 characters <= 80 characters
url
string
>= 1 characters <= 2048 characters
marker
string
Allowed values: checkbox number bullet
initialVisibleCount
integer
>= 1 <= 10
columns
Array<object>
<= 4 items
object
id
required
string
<= 40 characters /^[a-z0-9][a-z0-9_-]*$/
label
required
string
>= 1 characters <= 80 characters
type
required
string
Allowed values: status person date timeline number progress tags checkbox link text
groups
Array<object>
<= 10 items
object
id
required
string
<= 40 characters /^[a-z0-9][a-z0-9_-]*$/
label
required
string
>= 1 characters <= 80 characters
items
Array<object>
<= 50 items
object
id
required
string
<= 40 characters /^[a-z0-9][a-z0-9_-]*$/
title
required
string
>= 1 characters <= 200 characters
sourceId
string
>= 1 characters <= 120 characters
url
string
>= 1 characters <= 2048 characters
groupId
string
<= 40 characters /^[a-z0-9][a-z0-9_-]*$/
cells
object
key
additional properties
One of:
object
type
required
string
Allowed values: status
label
required
string
>= 1 characters <= 120 characters
color
required
string
Allowed values: blue purple green orange red pink teal gray
state
string
Allowed values: ready error
empty
object
title
required
string
>= 1 characters <= 120 characters
description
string
>= 1 characters <= 300 characters
error
object
title
required
string
>= 1 characters <= 120 characters
description
string
>= 1 characters <= 300 characters
action
object
label
required
string
>= 1 characters <= 40 characters
prompt
required
string
>= 1 characters <= 1000 characters
labels
object
taskList
string
>= 1 characters <= 200 characters
itemColumn
string
>= 1 characters <= 200 characters
summaryAll
string
>= 1 characters <= 200 characters
groups
string
>= 1 characters <= 200 characters
columns
string
>= 1 characters <= 200 characters
showing
string
>= 1 characters <= 200 characters
showMore
string
>= 1 characters <= 200 characters
progress
string
>= 1 characters <= 200 characters
toggleTask
string
>= 1 characters <= 200 characters
collapseGroup
string
>= 1 characters <= 200 characters
expandGroup
string
>= 1 characters <= 200 characters
groupItems
string
>= 1 characters <= 200 characters
openSource
string
>= 1 characters <= 200 characters
item
string
>= 1 characters <= 200 characters
owners
string
>= 1 characters <= 200 characters
peopleMore
string
>= 1 characters <= 200 characters
tagsMore
string
>= 1 characters <= 200 characters
overdue
string
>= 1 characters <= 200 characters
noValue
string
>= 1 characters <= 200 characters
checked
string
>= 1 characters <= 200 characters
unchecked
string
>= 1 characters <= 200 characters
loading
string
>= 1 characters <= 200 characters
emptyTitle
string
>= 1 characters <= 200 characters
errorTitle
string
>= 1 characters <= 200 characters
unavailable
string
>= 1 characters <= 200 characters
actionFailed
string
>= 1 characters <= 200 characters
actionLocked
string
>= 1 characters <= 200 characters
unsupportedAction
string
>= 1 characters <= 200 characters